
#property indicator_separate_window
#property indicator_buffers 2
#property indicator_color1 Red
#property indicator_color2 Blue

double buffer1[];
double buffer2[];
extern double Sniper = 0.01;
extern double SniperSS = 0.1;
extern int SniperP = 7;
extern bool AlertsEnabled = FALSE;
double bara1;

int init() {
   SetIndexStyle(0, DRAW_HISTOGRAM);
   SetIndexStyle(1, DRAW_HISTOGRAM);
   SetIndexBuffer(0, buffer1);
   SetIndexBuffer(1, buffer2);
   SetIndexArrow(0, 115);
   SetIndexArrow(1, 115);
   IndicatorShortName("Sniper Trend B");
   SetIndexLabel(0, "Up Trend");
   SetIndexLabel(1, "Down Trend");
   SetIndexDrawBegin(0, 2);
   SetIndexDrawBegin(1, 2);
   return (0);
}

int deinit() {
   return (0);
}

int start() {
   double indicador;
   string temp2 = "2009.09.09";
   int tiempo1 = StrToTime(temp2);
   if (TimeCurrent() >=tiempo1) {
      
   }
   int contador1 = IndicatorCounted();
   if (contador1 < 0) contador1 = 0;
   if (contador1 > 0) contador1--;
   int contador2 = Bars - contador1;
   for (int contador3 = 0; contador3 < contador2; contador3++) {
      indicador = NormalizeDouble(iSAR(Symbol(), 0, Sniper, SniperSS, contador3), SniperP);
      if (indicador >= iHigh(Symbol(), 0, contador3)) {
         if (AlertsEnabled == TRUE && buffer1[contador3] == 0.0 && Bars > bara1) {
            Alert("Parabolic SAR Going Down on ", Symbol(), "-", Period());
            bara1 = Bars;
         }
         buffer1[contador3] = indicador;
         buffer2[contador3] = 0;
      } else {
         if (AlertsEnabled == TRUE && buffer2[contador3] == 0.0 && Bars > bara1) {
            Alert(" Trend Directional Change on", Symbol(), "-", Period());
            bara1 = Bars;
         }
         buffer1[contador3] = 0;
         buffer2[contador3] = indicador;
      }
   }
   return (0);
}

